Om Didid te downloaden en te gebruiken heb je minstens Android 5 nodig.